Reactor Dependency Convergence

凡例:
[Error] 少なくとも一つのプロジェクトが違うバージョンの依存関係を使用しています。

統計:
サブプロジェクトの数: 22
依存関係の数 (NOD): 67
一意のアーティファクトの数 (NOA): 87
Number of version-conflicting artifacts (NOC): 10
スナップショットアーティファクトの数 (NOS): 1
一致度 (NOD/NOA): [Error] 77 %
リリース準備完了 (100% の一致度とスナップショットの不使用): [Error] エラー
一致度が 100% になっていません。
スナップショット依存関係が使われています。

サブプロジェクトで使用されている依存関係

avalon-framework:avalon-framework-impl

[Error]
4.2.0
  1. net.zamasoft:homare:jar:3.2.6
    \- net.sf.barcode4j:barcode4j:jar:2.1:compile
       \- (avalon-framework:avalon-framework-impl:jar:4.2.0:compile - omitted for conflict with 4.3)

4.3
  1. net.zamasoft:homare:jar:3.2.6
    \- avalon-framework:avalon-framework-impl:jar:4.3:compile

commons-io:commons-io

[Error]
2.6
  1. net.zamasoft:sakae-pdf:jar:0.9.7
    \- net.zamasoft:sakae-core:jar:0.9.7:compile
       \- net.zamasoft:zs-resolver:jar:1.1.0:compile
          \- commons-io:commons-io:jar:2.6:compile

2.7-SNAPSHOT
  1. net.zamasoft:sakae-pdf:jar:0.9.7
    \- org.apache.xmlgraphics:batik-bridge:jar:1.9.1:compile
       \- org.apache.xmlgraphics:xmlgraphics-commons:jar:2.2:compile
          \- (commons-io:commons-io:jar:2.7-SNAPSHOT:compile - omitted for conflict with 2.6)

javax.servlet:servlet-api

[Error]
2.3
  1. net.zamasoft:homare:jar:3.2.6
    \- avalon-framework:avalon-framework-impl:jar:4.3:compile
       \- avalon-logkit:avalon-logkit:jar:2.1:compile
          \- (javax.servlet:servlet-api:jar:2.3:compile - omitted for conflict with 2.5)

2.5
  1. net.zamasoft:homare:jar:3.2.6
    \- net.zamasoft:cti-if:jar:2.2.0:compile
       \- javax.servlet:servlet-api:jar:2.5:compile

junit:junit

[Error]
3.7
  1. net.zamasoft:homare:jar:3.2.6
    \- net.sf.barcode4j:barcode4j:jar:2.1:compile
       \- commons-cli:commons-cli:jar:1.0:compile
          \- commons-lang:commons-lang:jar:1.0:compile
             \- (junit:junit:jar:3.7:compile - omitted for conflict with 3.8.1)

3.8.1
  1. net.zamasoft:homare:jar:3.2.6
    \- avalon-framework:avalon-framework-impl:jar:4.3:compile
       +- junit:junit:jar:3.8.1:compile
       \- jmock:jmock:jar:1.0.1:compile
          \- (junit:junit:jar:3.8.1:compile - omitted for duplicate)

org.apache.xmlgraphics:batik-ext

[Error]
1.9
  1. net.zamasoft:homare:jar:3.2.6
    \- de.rototor.jeuclid:jeuclid-core:jar:3.1.11:compile
       +- org.apache.xmlgraphics:batik-svg-dom:jar:1.9:compile
       |  \- (org.apache.xmlgraphics:batik-ext:jar:1.9:compile - omitted for conflict with 1.9.1)
       \- org.apache.xmlgraphics:batik-ext:jar:1.9:compile

1.9.1
  1. net.zamasoft:homare:jar:3.2.6
    \- net.zamasoft:sakae-pdf:jar:0.9.7:compile
       +- org.apache.xmlgraphics:batik-bridge:jar:1.9.1:compile
       |  \- org.apache.xmlgraphics:batik-dom:jar:1.9.1:compile
       |     \- (org.apache.xmlgraphics:batik-ext:jar:1.9.1:compile - omitted for duplicate)
       \- org.apache.xmlgraphics:batik-anim:jar:1.9.1:compile
          \- (org.apache.xmlgraphics:batik-ext:jar:1.9.1:compile - omitted for conflict with 1.9)

org.apache.xmlgraphics:batik-svg-dom

[Error]
1.9
  1. net.zamasoft:homare:jar:3.2.6
    \- de.rototor.jeuclid:jeuclid-core:jar:3.1.11:compile
       \- org.apache.xmlgraphics:batik-svg-dom:jar:1.9:compile

1.9.1
  1. net.zamasoft:homare:jar:3.2.6
    \- net.zamasoft:sakae-pdf:jar:0.9.7:compile
       +- org.apache.xmlgraphics:batik-bridge:jar:1.9.1:compile
       |  \- (org.apache.xmlgraphics:batik-svg-dom:jar:1.9.1:compile - omitted for conflict with 1.9)
       \- org.apache.xmlgraphics:batik-anim:jar:1.9.1:compile
          \- (org.apache.xmlgraphics:batik-svg-dom:jar:1.9.1:compile - omitted for duplicate)

org.apache.xmlgraphics:xmlgraphics-commons

[Error]
1.3.1
  1. net.zamasoft:homare:jar:3.2.6
    \- de.rototor.jeuclid:jeuclid-core:jar:3.1.11:compile
       \- org.apache.xmlgraphics:xmlgraphics-commons:jar:1.3.1:compile

2.2
  1. net.zamasoft:homare:jar:3.2.6
    +- net.zamasoft:sakae-pdf:jar:0.9.7:compile
    |  \- org.apache.xmlgraphics:batik-bridge:jar:1.9.1:compile
    |     +- org.apache.xmlgraphics:batik-css:jar:1.9.1:compile
    |     |  \- (org.apache.xmlgraphics:xmlgraphics-commons:jar:2.2:compile - omitted for duplicate)
    |     \- (org.apache.xmlgraphics:xmlgraphics-commons:jar:2.2:compile - omitted for conflict with 1.3.1)
    \- org.apache.xmlgraphics:batik-svggen:jar:1.9.1:compile
       \- org.apache.xmlgraphics:batik-awt-util:jar:1.9.1:compile
          \- (org.apache.xmlgraphics:xmlgraphics-commons:jar:2.2:compile - omitted for duplicate)

xalan:xalan

[Error]
2.6.0
  1. net.zamasoft:homare:jar:3.2.6
    \- avalon-framework:avalon-framework-impl:jar:4.3:compile
       \- xalan:xalan:jar:2.6.0:compile

2.7.2
  1. net.zamasoft:homare:jar:3.2.6
    \- net.zamasoft:sakae-pdf:jar:0.9.7:compile
       \- org.apache.xmlgraphics:batik-bridge:jar:1.9.1:compile
          \- org.apache.xmlgraphics:batik-dom:jar:1.9.1:compile
             \- (xalan:xalan:jar:2.7.2:compile - omitted for conflict with 2.6.0)

xerces:xercesImpl

[Error]
2.10.0
  1. net.zamasoft:homare:jar:3.2.6
    \- net.zamasoft:zs-balancer:jar:1.1.0:compile
       \- net.sourceforge.nekohtml:nekohtml:jar:1.9.18:compile
          \- (xerces:xercesImpl:jar:2.10.0:compile - omitted for conflict with 2.11.0)

2.11.0
  1. net.zamasoft:homare:jar:3.2.6
    \- xerces:xercesImpl:jar:2.11.0:compile

2.4.0
  1. net.zamasoft:homare:jar:3.2.6
    \- avalon-framework:avalon-framework-impl:jar:4.3:compile
       \- (xerces:xercesImpl:jar:2.4.0:compile - omitted for conflict with 2.11.0)

xml-apis:xml-apis

[Error]
1.0.b2
  1. net.zamasoft:homare:jar:3.2.6
    \- avalon-framework:avalon-framework-impl:jar:4.3:compile
       +- (xml-apis:xml-apis:jar:1.0.b2:compile - omitted for conflict with 1.4.01)
       \- xalan:xalan:jar:2.6.0:compile
          \- (xml-apis:xml-apis:jar:1.0.b2:compile - omitted for conflict with 1.4.01)

1.3.04
  1. net.zamasoft:homare:jar:3.2.6
    +- net.zamasoft:sakae-pdf:jar:0.9.7:compile
    |  \- org.apache.xmlgraphics:batik-bridge:jar:1.9.1:compile
    |     \- org.apache.xmlgraphics:batik-dom:jar:1.9.1:compile
    |        \- (xml-apis:xml-apis:jar:1.3.04:compile - omitted for conflict with 1.4.01)
    \- de.rototor.jeuclid:jeuclid-core:jar:3.1.11:compile
       \- org.apache.xmlgraphics:batik-svg-dom:jar:1.9:compile
          \- (xml-apis:xml-apis:jar:1.3.04:compile - omitted for conflict with 1.4.01)

  2. net.zamasoft:sakae-pdf:jar:0.9.7
    \- org.apache.xmlgraphics:batik-bridge:jar:1.9.1:compile
       \- org.apache.xmlgraphics:batik-dom:jar:1.9.1:compile
          +- xalan:xalan:jar:2.7.2:compile
          |  \- xalan:serializer:jar:2.7.2:compile
          |     \- (xml-apis:xml-apis:jar:1.3.04:compile - omitted for duplicate)
          \- (xml-apis:xml-apis:jar:1.3.04:compile - omitted for conflict with 1.4.01)

1.4.01
  1. net.zamasoft:homare:jar:3.2.6
    +- net.zamasoft:sakae-pdf:jar:0.9.7:compile
    |  \- (xml-apis:xml-apis:jar:1.4.01:compile - omitted for duplicate)
    +- xml-apis:xml-apis:jar:1.4.01:compile
    \- xerces:xercesImpl:jar:2.11.0:compile
       \- (xml-apis:xml-apis:jar:1.4.01:compile - omitted for duplicate)

  2. net.zamasoft:sakae-pdf:jar:0.9.7
    \- xml-apis:xml-apis:jar:1.4.01:compile

commons-io:commons-io

[Error]
2.7-SNAPSHOT
  1. net.zamasoft:sakae-pdf:jar:0.9.7
    \- org.apache.xmlgraphics:batik-bridge:jar:1.9.1:compile
       \- org.apache.xmlgraphics:xmlgraphics-commons:jar:2.2:compile
          \- (commons-io:commons-io:jar:2.7-SNAPSHOT:compile - omitted for conflict with 2.6)